/* MiscTreeBrowserCell	-- Cell for MiscTreeBrowser
 *
 */

// IMPORTS

#import <appkit/ActionCell.h>
#import <appkit/graphics.h>

#import <misckit/MiscTreeBrowserProtocols.h>


// INTERFACE

@interface MiscTreeBrowserCell:ActionCell
{
	SEL	doubleAction;
	id	<MiscTreeBrowserNodes>  node;
	unsigned short indentLevel;
	struct _hcFlags {
		unsigned int open:1;
		unsigned int editing:1;
		unsigned int leaf:1;
	} hcFlags;
}

- init;

- (SEL)doubleAction;
- setDoubleAction:(SEL)anAction;

- (id <MiscTreeBrowserNodes>)node;
- setNode:(id <MiscTreeBrowserNodes>)anObject;

- (const char *)stringValue;
- setStringValue:(const char *)aString;

// Methods used by MiscTreeBrowserMatrix

- (BOOL)isLeaf;
- (BOOL)isOpen;
- setOpen:(BOOL)flag;

- (BOOL)isEditing;
- setEditing:(BOOL)flag;

- getOpenerRect:(NXRect *)cellFrame;
- getTitleRect:(NXRect *)cellFrame;

@end
